<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">


    <uses-permission android:name="android.permission.INTERNET" /> <!-- 大致位置,依赖网络 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /> <!-- 精确的位置,GPS -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /> <!-- Recommended for Android 9 (API level 28) and lower. -->


    <!-- Required for Android 10 (API level 29) and higher. -->
    <!-- <service -->
    <!-- android:foregroundServiceType="location" -->
    <!-- android:name="MyNavigationService" /> -->
    <!-- Required only when requesting background location access on Android 10 (API level 29) and higher. -->
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />

    <!-- 身体活动数据  -->
    <uses-permission android:name="android.permission.ACTIVITY_RECOGNITION" />

    <application
        android:name=".helper.MyApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.LocationShareWhite"
        tools:targetApi="34">


        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="AIzaSyCjjRBDd22BEYN8-XCGCq-yVyn1P2XCHps" />

        <activity
            android:name=".ui.splash.SplashActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/splash.theme"
            tools:ignore="DiscouragedApi,LockedOrientationActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.main.MainActivity"
            android:exported="false"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.set.LanguageActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.set.FeedbackActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.set.SettingActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.howuse.HowViewOtherActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.howuse.HowUseActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.main.LocationShareActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.main.LocationCodeActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.locationmap.LocationMapActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.howuse.HowUseShareActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <meta-data
            android:name="com.google.android.gms.ads.APPLICATION_ID"
            android:value="ca-app-pub-3940256099942544~3347511713" />
        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />

    </application>

</manifest>